## genbackupdata 1.6

=== Makefile ===
all: genbackupdata.1

genbackupdata.1: genbackupdata.1.in genbackupdata
	./genbackupdata --generate-manpage=genbackupdata.1.in > genbackupdata.1

check:
	python -m CoverageTestRunner --ignore-missing-from without-tests
	./blackboxtest

clean:
	rm -rf *.py[co] */*.py[co] build dist MANIFEST 
	rm -f blackboxtest.log blackboxtest-genbackupdata.log

=== debian/changelog ===
genbackupdata (1.6-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Dominic Hargreaves <dom@earth.li>  Tue, 05 Jun 2012 19:03:31 +0100

genbackupdata (1.6-1) unstable; urgency=low

  * First upload to Debian. (Closes: #636445)
  * New upstream version.
  * Add missing Depends and Build-Depends on python-ttystatus.
  * Remove useless debian/pycompat.
  * Use 3.0 (quilt) format.
  * Add Homapage header.
  * Use DEP5 for debian/copyright.
  * Added missing Build-Depends on python-cliapp.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Aug 2011 09:10:28 +0100

genbackupdata (1.5) squeeze; urgency=low

  * New upstream version.
  * Bump Standards-Version. No other changes required.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 12 Jun 2011 12:55:28 +0100

genbackupdata (1.4) squeeze; urgency=low

  * debian/control: Add dependency on python-cliapp.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 06 Apr 2011 11:02:05 +0100

genbackupdata (1.3.1) squeeze; urgency=low

  * New upstream release.
    - include genbackupdatalib in the package

 -- Lars Wirzenius <liw@liw.fi>  Wed, 06 Apr 2011 11:02:05 +0100

genbackupdata (1.3) squeeze; urgency=low

  * New upstream release. This is a rewrite. It is not as functional
    as the old code. But it is functional enough, and I'm the only
    known user, so...

 -- Lars Wirzenius <liw@liw.fi>  Tue, 01 Feb 2011 21:50:34 +0000

genbackupdata (1.2) squeeze; urgency=low

  * New upstream release. This release uses a new way to generate binary
    junk, which is faster than the previous one, and does not result in
    repetition of existing binary blocks. Obnam is now so good in
    noticing duplication that it would store a one gigabyte data set
    from genbackupdata in 132 kilobytes.
  * Update my e-mail address in Maintainer.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 02 Dec 2010 15:17:05 +0000

genbackupdata (1.1.1) squeeze; urgency=low

  * Upload to my squeeze repository.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 18 May 2010 18:54:12 +1200

genbackupdata (1.1) karmic; urgency=low

  * New upstream version.
  * Convert packaging to be native, and use dh.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Mar 2010 18:44:05 +1300

genbackupdata (1.0-1) unstable; urgency=low

  * First version.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 13 Jul 2007 00:33:00 +0300

=== debian/control ===
Source: genbackupdata
Maintainer: Lars Wirzenius <liw@liw.fi>
Uploaders: Dominic Hargreaves <dom@earth.li>
Section: devel
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.8), python-all (>= 2.6.6-3~),
    python-ttystatus, python-cliapp
X-Python-Version: >= 2.6

Package: genbackupdata
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-cliapp (>= 0.9),
    python-ttystatus
Homepage: http://braawi.org/genbackupdata/
Description: generate test data sets for backup software
 genbackupdata creates or modifies directory trees in ways that simulate
 real filesystems sufficiently well for performance testing of backup
 software. For example, it can create files that are a mix of small text
 files and big binary files, with the binary files containing random
 binary junk which compresses badly. This can then be backed up, and
 later the directory tree can be changed by creating new files, modifying
 files, or deleting or renaming files. The backup can then be run again.

## genbackupdata 1.7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 check:
 	python -m CoverageTestRunner --ignore-missing-from without-tests
-	./blackboxtest
+	cmdtest tests
 
 clean:
 	rm -rf *.py[co] */*.py[co] build dist MANIFEST

=== debian/changelog ===
genbackupdata (1.7-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 29 Sep 2012 16:58:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: genbackupdata
 Maintainer: Lars Wirzenius <liw@liw.fi>
-Uploaders: Dominic Hargreaves <dom@earth.li>
 Section: devel
 Priority: optional
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.3.8), python-all (>= 2.6.6-3~),
-    python-ttystatus, python-cliapp
+    python-ttystatus, python-cliapp, cmdtest
 X-Python-Version: >= 2.6
 
 Package: genbackupdata
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-cliapp (>= 0.9),
     python-ttystatus
-Homepage: http://braawi.org/genbackupdata/
+Homepage: http://liw.fi/genbackupdata/
 Description: generate test data sets for backup software
  genbackupdata creates or modifies directory trees in ways that simulate
  real filesystems sufficiently well for performance testing of backup

## genbackupdata 1.8

=== debian/changelog ===
genbackupdata (1.8-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Move Homepage: to source stanza.
  * debian/control: Update Standards-Version to 3.9.5. No further
    changes required.
  * debian/control: Depend and build depend on python-crypto, to get
    the ARC4 implementation.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 14 Jul 2015 18:07:07 +0300

## genbackupdata 1.9

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 
 check:
 	python -m CoverageTestRunner --ignore-missing-from without-tests
+	rm -f .coverage
 	cmdtest tests
+	pep8 genbackupdata genbackupdatalib
 
 clean:
 	rm -rf *.py[co] */*.py[co] build dist MANIFEST 
 	rm -f blackboxtest.log blackboxtest-genbackupdata.log
-

=== debian/changelog ===
genbackupdata (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Include NEWS, README in the package.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Oct 2015 10:29:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: genbackupdata
 Maintainer: Lars Wirzenius <liw@liw.fi>
+Homepage: http://liw.fi/genbackupdata/
 Section: devel
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7.3.8), python-all (>= 2.6.6-3~),
-    python-ttystatus, python-cliapp, cmdtest
+    python-ttystatus, python-cliapp, cmdtest, python-crypto, pep8
 X-Python-Version: >= 2.6
 
 Package: genbackupdata
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-cliapp (>= 0.9),
-    python-ttystatus
-Homepage: http://liw.fi/genbackupdata/
+    python-ttystatus, python-crypto
 Description: generate test data sets for backup software
  genbackupdata creates or modifies directory trees in ways that simulate
  real filesystems sufficiently well for performance testing of backup
